Qt 是跨平台的应用程序框架,广泛用于开发具有GUI的应用程序。此外,它还用于开发非GUI程序,例如服务器的命令行工具和控制台。Qt 5.9.9对CMake集成进行了许多改进,修补了一些与项目树相关的回归。

Linux系统版本:ubuntu-20.04-desktop-amd64

Qt版本:qt-opensource-linux-x64-5.9.9

其它版本也都是一样,可以参考进行操作配置

一、下载

清华大学开源软件镜像站:https://mirrors.tuna.tsinghua.edu.cn/qt/archive/qt/5.9/5.9.9/

更改下载后的安装包的权限

先将目录切换到安装包所在目录,然后在此打开中终端

执行命令:chmod +x 安装包名称

例如

二、安装

更改完权限后,直接双击安装包,或者执行 ./qt-opensource-linux-x64-5.9.9.run,然后就可以一步步安装了

在选择安装组件时,如下(如果有需要,也可全部勾选下载)

然后一步步接着安装完成即可

三、配置

在Linux系统下安装QT之后还需进行一些配置才可使用

1、安装g++

linuxmi@linuxmi:~/www.linuxmi.com$ sudo apt install g++

2、安装通用字体配置库

linuxmi@linuxmi:~/www.linuxmi.com$ sudo apt-get install libfontconfig1

3、安装一个 qtchooser 工具

linuxmi@linuxmi:~/www.linuxmi.com$ sudo apt-get install qtchooser

4、配置

执行三条命令,根据自己的Qt版本和安装路径替换以下的名称和路径

linuxmi@linuxmi:~/www.linuxmi.com$ qtchooser -install qt5.9.9 /opt/Qt5.9.9/5.9.9/gcc_64/bin/qmake
linuxmi@linuxmi:~/www.linuxmi.com$ export QT_SELECT=qt5.9.9
linuxmi@linuxmi:~/www.linuxmi.com$ qtchooser -l
4
5
default
qt4-x86_64-linux-gnu
qt4
qt5-x86_64-linux-gnu
qt5.9.9
qt5

5、解决找不到g++命令的错误

linuxmi@linuxmi:~/www.linuxmi.com$ sudo apt-get install build-essential

6、安装OpenGL库

linuxmi@linuxmi:~/www.linuxmi.com$ sudo apt-get install mesa-common-dev

7、新版本的Ubuntu,需安装附加的package

linuxmi@linuxmi:~/www.linuxmi.com$ sudo apt-get install libglu1-mesa-dev -y

8、配置编译器

(需要先创建一个工程,然后才可配置此项,创建过程见下面:四、使用

打开QT --> 项目 --> Manage Kits... --> 构建和运行 --> Kits --> Desktop Qt5.9.9 GCC 64bit(default) --> C++ 配置,然后点击OK,配置完成

配置完成就可以运行了

四、使用

先创建一个工程

左上角File --> 新建文件或项目...

然后保持默认,直接点击右下角choose...

然后配置名称、路径,配置好点击右下角Next>

默认,下一步

为文件起名字,默认即可(若有需要,可以更改)

直接点击 Finish 完成即可

此时,创建完成(记得将上面的配置编译器配置好,然后再执行以下操作)

点击Debug,双击图中这个.ui文件,可以跳转到设计界面,进行界面设计

随意拖进去几个组件,然后点击左下角绿色箭头运行(或者不放组件直接运行),运行成功就可以看到弹出一个窗口

这样,一个Qt的安装和配置就都完成了,然后可以进行Qt开发了

总结

下载 --> 安装 --> 配置 --> 使用

在Linux系统下安装QT需要配置才可使用,而在Windows系统下无需配置即可使用,但是Windows下安装需要的内存也是很大的。

既然是进行软件、硬件开发,大部分还是选择Linux系统。

发表评论